import request from '@/utils/request'

// 查询对讲机列表
export function listWalkitTalkie(query) {
  return request({
    url: '/commonuse/walkitTalkie/list',
    method: 'get',
    params: query
  })
}

// 查询对讲机详细
export function getWalkitTalkie(id) {
  return request({
    url: '/commonuse/walkitTalkie/' + id,
    method: 'get'
  })
}

// 新增对讲机
export function addWalkitTalkie(data) {
  return request({
    url: '/commonuse/walkitTalkie',
    method: 'post',
    data: data
  })
}

// 修改对讲机
export function updateWalkitTalkie(data) {
  return request({
    url: '/commonuse/walkitTalkie',
    method: 'put',
    data: data
  })
}

// 删除对讲机
export function delWalkitTalkie(id) {
  return request({
    url: '/commonuse/walkitTalkie/' + id,
    method: 'delete'
  })
}
